## tessie-api 0.1.1

=== requirements.txt ===
aiohttp==3.8.2
pytest-asyncio==0.21.1
pytz==2023.3
types-pytz==2023.3.1.1

=== debian/changelog ===
tessie-api (0.1.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Sun, 22 Sep 2024 13:01:12 +0100

tessie-api (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1081728)

 -- Edward Betts <edward@4angle.com>  Sat, 14 Sep 2024 09:42:45 +0100

=== debian/control ===
Source: tessie-api
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/andrewgierens/tessie_python_api
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/tessie-api
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/tessie-api.git

Package: python3-tessie-api
Architecture: all
Depends:
 python3-aiohttp,
 python3-tz,
 ${misc:Depends},
 ${python3:Depends},
Description: Library to interact with the Tessie API
 This library allows communication with the Tessie API to retrieve and control
 various aspects of Tesla vehicles. It supports fetching vehicle data, managing
 climate settings, locking/unlocking doors, and observing charging status. The
 library facilitates commands to wake the car, control window operations, and
 access media player data. Users can also monitor the location of the vehicle
 and observe tire pressures. This interaction helps maintain and operate Tesla
 vehicles through automated scripts and integrations.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=tessie-api

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf tessie_api.egg-info/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/tessie-api-$1\.tar\.gz/ \
  https://github.com/andrewgierens/tessie_python_api/tags .*/v?(\d\S+)\.tar\.gz

## tessie-api 0.1.2

=== debian/changelog ===
tessie-api (0.1.2-2) unstable; urgency=medium

  * Team Upload
  * Replace transitional python3-tz with python3-pytz
  * Drop "Rules-Requires-Root: no": it is now the default
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Nov 2025 15:58:22 +0100

tessie-api (0.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Mon, 07 Jul 2025 14:21:37 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-hatchling,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/andrewgierens/tessie_python_api
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/tessie-api
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/tessie-api.git
@@ -20,7 +19,7 @@
 Architecture: all
 Depends:
  python3-aiohttp,
- python3-tz,
+ python3-pytz,
  ${misc:Depends},
  ${python3:Depends},
 Description: Library to interact with the Tessie API

=== debian/watch ===
Version: 5

Template: GitHub
Owner: andrewgierens
Project: tessie_python_api
